批量查询
curl --request POST \
--url https://api.ephone.ai/suno/v2/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"5adac6ee-...",
"7b1f9c22-..."
]
}
'import requests
url = "https://api.ephone.ai/suno/v2/fetch"
payload = { "ids": ["5adac6ee-...", "7b1f9c22-..."] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['5adac6ee-...', '7b1f9c22-...']})
};
fetch('https://api.ephone.ai/suno/v2/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ephone.ai/suno/v2/fetch"
payload := strings.NewReader("{\n \"ids\": [\n \"5adac6ee-...\",\n \"7b1f9c22-...\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": "success",
"data": [
{
"task_id": "<string>",
"action": "<string>",
"model": "<string>",
"status": "SUBMITTED",
"progress": "<string>",
"fail_reason": "<string>",
"submit_time": 123,
"finish_time": 123
}
],
"message": "<string>"
}{
"code": "error",
"message": "music_id is required"
}{
"error": {
"message": "Invalid Token",
"type": "rix_api_error"
}
}{
"error": {
"message": "Too many requests, please try again later",
"type": "rix_api_error"
}
}查询
批量查询
一次查询多个任务。
POST
/
suno
/
v2
/
fetch
批量查询
curl --request POST \
--url https://api.ephone.ai/suno/v2/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"5adac6ee-...",
"7b1f9c22-..."
]
}
'import requests
url = "https://api.ephone.ai/suno/v2/fetch"
payload = { "ids": ["5adac6ee-...", "7b1f9c22-..."] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['5adac6ee-...', '7b1f9c22-...']})
};
fetch('https://api.ephone.ai/suno/v2/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ephone.ai/suno/v2/fetch"
payload := strings.NewReader("{\n \"ids\": [\n \"5adac6ee-...\",\n \"7b1f9c22-...\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": "success",
"data": [
{
"task_id": "<string>",
"action": "<string>",
"model": "<string>",
"status": "SUBMITTED",
"progress": "<string>",
"fail_reason": "<string>",
"submit_time": 123,
"finish_time": 123
}
],
"message": "<string>"
}{
"code": "error",
"message": "music_id is required"
}{
"error": {
"message": "Invalid Token",
"type": "rix_api_error"
}
}{
"error": {
"message": "Too many requests, please try again later",
"type": "rix_api_error"
}
}此页面对您有帮助吗?